package com.ruoyi.sim.domain.vo;

import com.ruoyi.sim.domain.Fault;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.List;

public class FaultNode extends Fault {

    private List<FaultNode> children;

    public List<FaultNode> getChildren() {
        return children;
    }

    public void setChildren(List<FaultNode> children) {
        this.children = children;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this)
                .append("children", children)
                .toString();
    }
}
